Subject: Re: v2.46.1? was Re: What's cooking in git.git (Aug 2024, #06; Fri, 16)

From: Junio C Hamano <[email-masked]>
Date: Tue, 20 Aug 2024 13:41:30 -0700

Johannes Schindelin <[email-masked]> writes:

>> There is no immediate need for it and 2.46.1 does not even have to
>> happen.  Just a grab bag of topics that are safe and are already on
>> track for 2.47 are kept in case we accumulate enough of them.
>
> Thank you for the clarification. I am a fan of getting things into the
> `maint` branch early, so I like what I am reading here.

Merging early, often, and in small batches will in theory make the
process safer by giving us more chance to see things unexpectedly
break, and that is why I too prefer it, but that is only true if
enough people are paying attention to the branch.  I however have a
feeling that nobody uses 'maint' UNTIL the tip of it is tagged,
though..